@use "../../../styles/colors";
@use "../../../styles/mixins";
@use "../../../styles/defaults";

$nav-link-menu-border: 0.01rem solid colors.$neutral-lighter;

.nav-list {
  list-style: none;
  display: flex;
  li {
    .nav-link {
      transition: color 0.3s;
      &:link,
      &:visited {
        color: colors.$neutral-dark;
        text-decoration: none;
        text-transform: uppercase;
        font-size: 0.7rem;
        letter-spacing: 0.05rem;
      }
      &:link.light-font,
      &:visited.light-font {
        color: colors.$neutral-light;
      }
      &:hover,
      &:hover.light-font,
      &:active {
        color: colors.$primary-red;
      }
    }
  }
}

.nav-links {
  li {
    .nav-link {
      &.nav-link.btn-red {
        @include mixins.transition-hover-button;
        color: colors.$neutral-light;
        background-color: colors.$primary-red;
        padding: 0.6rem 1.6rem;
        border-radius: 0.25rem;
        box-shadow: 0 0.2rem 1rem #ccc;
        &:hover {
          @include mixins.hover-red-button;
        }
      }
    }
  }
}

.mobile-menu-links {
  flex-direction: column;
  align-items: stretch;
  li {
    padding: 1rem;
    &:not(:last-child) {
      border-bottom: $nav-link-menu-border;
    }
    &:first-child {
      border-top: $nav-link-menu-border;
    }
    &:last-child {
      margin-top: 1.4rem;
      padding: 0.4rem 0;
      border: 0.15rem solid colors.$neutral-light;
      border-radius: 0.3rem;
      &:hover {
        @include mixins.hover-menu-button;
      }
    }
    text-align: center;
    .nav-link {
      &:link,
      &:visited {
        font-size: 1rem;
        letter-spacing: 0.15rem;
      }
      &.nav-link.btn-red {
        color: colors.$neutral-light;
        @include mixins.transition-hover-button;
      }
    }
  }
}

@media (max-width: defaults.$mobile-width) {
  .nav-links {
    flex-direction: column;
    text-align: center;
    li {
      .nav-link {
        &:link,
        &:visited {
          font-size: 0.8rem;
        }
      }
    }
  }
}
